Bug 1151812 (nodejs-backbone) - Review Request: nodejs-backbone - Models, Views, Collections, and Events for JavaScript applications
Summary: Review Request: nodejs-backbone - Models, Views, Collections, and Events for ...
Keywords:
Status: CLOSED ERRATA
Alias: nodejs-backbone
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Lubomir Rintel
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-10-12 02:17 UTC by Dan Callaghan
Modified: 2014-12-11 06:29 UTC (History)
3 users (show)

Fixed In Version: nodejs-backbone-1.1.2-2.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-12-06 09:58:57 UTC
Type: ---
Embargoed:
lkundrak: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Dan Callaghan 2014-10-12 02:17:55 UTC
Spec URL: https://fedorapeople.org/~dcallagh/nodejs-backbone/nodejs-backbone.spec
SRPM URL: https://fedorapeople.org/~dcallagh/nodejs-backbone/nodejs-backbone-1.1.2-1.fc21.src.rpm
Description: Backbone supplies structure to JavaScript-heavy applications by providing models key-value binding and custom events, collections with a rich API of enumerable functions, views with declarative event handling, and connects it all to your existing application over a RESTful JSON interface.
Fedora Account System Username: dcallagh

Comment 1 Lubomir Rintel 2014-10-31 17:00:10 UTC
* Named correctly
* Versioned correctly
* Latest version packaged
* License tag correct
* License text included
* License good for fedora
* SPEC file clean and legible, follows nodejs guidelines
* Filelist sane
* Requires/provides make sense
* rpmlint mostly happy
* Builds fine in mock

0.) The description of nodejs- and js- package is exactly the same. You may want to explain how are the packages different.

1.) The nodejs- package contains no license text & README. Please add it.

Comment 2 Dan Callaghan 2014-11-11 09:25:31 UTC
(In reply to Lubomir Rintel from comment #1)
> 0.) The description of nodejs- and js- package is exactly the same. You may
> want to explain how are the packages different.

Good idea.

> 1.) The nodejs- package contains no license text & README. Please add it.

The nodejs- package requires the js- package (which contains the license and README) so we don't need another copy in the nodejs- package, as per <https://fedoraproject.org/wiki/Packaging:LicensingGuidelines#Subpackage_Licensing>.

Comment 4 Lubomir Rintel 2014-11-21 15:58:01 UTC
Thank you.

APPROVED

Comment 5 Dan Callaghan 2014-11-23 22:32:28 UTC
New Package SCM Request
=======================
Package Name: nodejs-backbone
Short Description: Models, Views, Collections, and Events for JavaScript applications
Upstream URL: http://backbonejs.org/
Owners: dcallagh
Branches: f21 epel7
InitialCC:

Comment 6 Gwyn Ciesla 2014-11-24 13:38:37 UTC
Git done (by process-git-requests).

Comment 7 Fedora Update System 2014-11-25 00:30:35 UTC
nodejs-backbone-1.1.2-2.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/nodejs-backbone-1.1.2-2.fc21

Comment 8 Fedora Update System 2014-11-25 00:31:10 UTC
nodejs-backbone-1.1.2-2.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/nodejs-backbone-1.1.2-2.el7

Comment 9 Fedora Update System 2014-11-25 21:25:07 UTC
nodejs-backbone-1.1.2-2.fc21 has been pushed to the Fedora 21 testing repository.

Comment 10 Fedora Update System 2014-12-06 09:58:57 UTC
nodejs-backbone-1.1.2-2.fc21 has been pushed to the Fedora 21 stable repository.

Comment 11 Fedora Update System 2014-12-11 06:29:16 UTC
nodejs-backbone-1.1.2-2.el7 has been pushed to the Fedora EPEL 7 stable repository.


Note You need to log in before you can comment on or make changes to this bug.